MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031689Community[OCCT] OCCT:Codingpublic2020-07-24 19:152020-08-09 14:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031689: Coding Rules - including STEPCAFControl_Writer.hxx produces compilation error
DescriptionAdding
  #include <STEPCAFControl_Writer.hxx>

to the application code produces compilation error:
/opt/local/include/opencascade/STEPCAFControl_Writer.hxx:236:3: error: unknown type name 'NCollection_Vector'
  
NCollection_Vector<Handle(StepRepr_RepresentationItem)> myGDTAnnotations;
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0093302)
git (administrator)
2020-07-24 19:16

Branch CR31689 has been created by kgv.

SHA-1: 33c5a2b00809bdd548109af9d8815c25ab4fdd3c


Detailed log of new commits:

Author: kgv
Date: Fri Jul 24 19:18:26 2020 +0300

    0031689: Coding Rules - including STEPCAFControl_Writer.hxx produces compilation error
    
    Added missing #include <NCollection_Vector.hxx>.
(0093363)
git (administrator)
2020-07-25 20:10

Branch CR31689 has been updated forcibly by kgv.

SHA-1: fe18835b153e5b9863d4bcaa5a59e2bab8ed7eef
(0093364)
kgv (developer)
2020-07-25 20:19

Please raise the patch in OCCT branch CR31689.
(0093452)
bugmaster (administrator)
2020-08-09 14:55

Combination -
OCCT branch : IR-2020-08-07
master SHA - 1bf23e5bb6fc81a7b4031ce3034fb5568473029e
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : master SHA - be95aa91db3bd344c872901349e58022d3c687fc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17191.21000000013 / 17276.940000000126 [-0.50%]
Products
Total CPU difference: 11889.420000000087 / 11895.09000000009 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 18788.21875 / 18747.796875 [+0.22%]
Products
Total CPU difference: 13265.75 / 13260.578125 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 148820b2
Timestamp: 2020-07-24 16:18:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031689: Coding Rules - including STEPCAFControl_Writer.hxx produces compilation error

Added missing #include <NCollection_Vector.hxx>.
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff ] File ]
mod - src/STEPControl/STEPControl_Writer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-07-24 19:15 kgv New Issue
2020-07-24 19:15 kgv Assigned To => kgv
2020-07-24 19:16 git Note Added: 0093302
2020-07-25 20:10 git Note Added: 0093363
2020-07-25 20:19 kgv Note Added: 0093364
2020-07-25 20:19 kgv Assigned To kgv => bugmaster
2020-07-25 20:19 kgv Status new => resolved
2020-07-25 20:19 kgv Status resolved => reviewed
2020-08-09 14:55 bugmaster Note Added: 0093452
2020-08-09 14:55 bugmaster Status reviewed => tested
2020-08-09 14:58 bugmaster Changeset attached => occt master 148820b2
2020-08-09 14:58 bugmaster Status tested => verified
2020-08-09 14:58 bugmaster Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker